import agentpy as ap


class FirmAgent(ap.Agent):
    def setup(self, code, name, type_region, revenue_log):
        self.firm_network = self.model.firm_network

        self.code = code
        self.name = name
        self.type_region = type_region
        self.revenue_log = revenue_log

        self.is_disrupted = False
    
    